Required Microsoft Visual Studio 2017 or 2019 options with CA Gen 8.6

book

Article ID: 124419

calendar_today

Updated On:

Products

CA Gen CA Gen - Workstation Toolset

Issue/Introduction

When installing Microsoft Visual Studio 2017 (VS2017) or Visual Studio 2019 (VS2019) for use with CA Gen 8.6, what options need to be selected?

Environment

Release: 8.6
Component: CA Gen Build Tool

Resolution

These 4 bundle options are needed when installing VS2017 or VS2019.

1. .NET desktop development 
2. Desktop development with C++ 
3. Universal Windows Platform development 
4. ASP.NET and web development

Additional Information

1. In the image below, the 4 bundle options have a blue check and are contained within the green box:


2. Please also note this related KB article: CA Gen 8.6 with Visual Studio 2017 or 2019 resource compile fails with "fatal error RC1015: cannot open include file 'afxres.h'"

3. NOTE:
Required Gen 8.6 PTFs for VS2017 or VS2019 support are :
VS 2017:
Gen 8.6 Complete WKS86200/SO09618

VS 2019:
Gen 8.6 Complete WKS86200/SO09618
TSN86209/ SS13873
BTN86201/SS13871
RTN86208/SS13872
For further details of Gen 8.6 PTFs see: CA Gen 8.6 Solutions & Patches

Attachments